summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDror Levin <spatz@gentoo.org>2010-05-30 10:31:05 +0000
committerDror Levin <spatz@gentoo.org>2010-05-30 10:31:05 +0000
commit52b0664ef344a5d270c1f093197a313561c496c2 (patch)
tree1513072466e5b7f306df23e992a52c089f9d6215 /eclass/qt4-build.eclass
parentFix dodoc command wrt bug #315579. Keyworded for amd64 (diff)
downloadhistorical-52b0664ef344a5d270c1f093197a313561c496c2.tar.gz
historical-52b0664ef344a5d270c1f093197a313561c496c2.tar.bz2
historical-52b0664ef344a5d270c1f093197a313561c496c2.zip
Fix sedding of $MAKE in qt 4.5, bug 321335 (again).
Diffstat (limited to 'eclass/qt4-build.eclass')
-rw-r--r--eclass/qt4-build.eclass12
1 files changed, 7 insertions, 5 deletions
diff --git a/eclass/qt4-build.eclass b/eclass/qt4-build.eclass
index 47b8fb60ed78..4d193c0d224a 100644
--- a/eclass/qt4-build.eclass
+++ b/eclass/qt4-build.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/qt4-build.eclass,v 1.73 2010/05/27 21:27:31 spatz Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/qt4-build.eclass,v 1.74 2010/05/30 10:31:05 spatz Exp $
# @ECLASS: qt4-build.eclass
# @MAINTAINER:
@@ -215,10 +215,12 @@ qt4-build_src_prepare() {
sed -e "s:\(^SYSTEM_VARIABLES\):CC=$(tc-getCC)\nCXX=$(tc-getCXX)\nCFLAGS=\"${CFLAGS}\"\nCXXFLAGS=\"${CXXFLAGS}\"\nLDFLAGS=\"${LDFLAGS}\"\n\1:" \
-i configure || die "sed qmake compilers failed"
# bug 321335
- find ./config.tests/unix -name "*.test" -type f -exec grep -lZ \$MAKE '{}' \; | \
- xargs -0 \
- sed -e "s:\(\$MAKE\):\1 CC=$(tc-getCC) CXX=$(tc-getCXX) LD=$(tc-getCXX) LINK=$(tc-getCXX):g" \
- -i || die "sed test compilers failed"
+ if version_is_at_least 4.6; then
+ find ./config.tests/unix -name "*.test" -type f -exec grep -lZ \$MAKE '{}' \; | \
+ xargs -0 \
+ sed -e "s:\(\$MAKE\):\1 CC=$(tc-getCC) CXX=$(tc-getCXX) LD=$(tc-getCXX) LINK=$(tc-getCXX):g" \
+ -i || die "sed test compilers failed"
+ fi
# Bug 172219
sed -e "s:X11R6/::" \